Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class InternetExplorerCustomProxyLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.InternetExplorerCustomProxyLauncher

All Implemented Interfaces:
  BrowserLauncher

public class InternetExplorerCustomProxyLauncher
extends java.lang.Object
implements BrowserLauncher

Constructor Summary
`InternetExplorerCustomProxyLauncher()`
`InternetExplorerCustomProxyLauncher(int port, java.lang.String sessionId)`
`InternetExplorerCustomProxyLauncher(int port, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary
`void` | `backupRegistrySettings()`
`void` | `close()` Stop (kill) the browser process
`void` | `launch(java.lang.String url)`
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String browserURL)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String browserURL)` Start the browser and navigate directly to the specified URL
`static void` | `main(java.lang.String[] args)`
`void` | `restoreRegistrySettings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternetExplorerCustomProxyLauncher

    public InternetExplorerCustomProxyLauncher()

### InternetExplorerCustomProxyLauncher

    public InternetExplorerCustomProxyLauncher(int port,
                                               java.lang.String sessionId)

### InternetExplorerCustomProxyLauncher

    public InternetExplorerCustomProxyLauncher(int port,
                                               java.lang.String sessionId,
                                               java.lang.String browserLaunchLocation)

Method Detail

### launch

    public void launch(java.lang.String url)

### backupRegistrySettings

    public void backupRegistrySettings()

### restoreRegistrySettings

    public void restoreRegistrySettings()

### close

    public void close()

  Description copied from interface: `BrowserLauncher`
  Stop (kill) the browser process

  Specified by:
    `close` in interface `BrowserLauncher`

### main

    public static void main(java.lang.String[] args)

### launchHTMLSuite

    public void launchHTMLSuite(java.lang.String suiteUrl,
                                java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser in Selenese mode, auto-running the specified HTML suite

  Specified by:
    `launchHTMLSuite` in interface `BrowserLauncher`
  Parameters:
    `suiteUrl` - the url within which to initiate the session (if needed)
    `browserURL` - the url of the HTML suite to launch

### launchRemoteSession

    public void launchRemoteSession(java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser and navigate directly to the specified URL

  Specified by:
    `launchRemoteSession` in interface `BrowserLauncher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.